<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// conex, config, login  global
	require("inc.global.php");

/******* CONFIGURACION  ***********/

$titulo = INGENIO_NOMBRE." ".INGENIO_VERSION;
$archivo_php = $_SERVER['SCRIPT_NAME'];

/******* CONFIGURACION FIN ********/

	$cadena_get_comple = $_SERVER['QUERY_STRING'];
	$cadena_get = strstr($_SERVER['QUERY_STRING'],"msj=1&");
	$no_get = $cadena_get_comple == "" ? 1 : 0 ;
	$tabla_get = "tabla=".TD_CARRO;
	$campoid = "carroID";
	$ig = $_GET;
	$in = $_POST;
	
if (isset($in["guardar"]))
{
	
	
	$itemID = $in["itemID"];
	$pedID = $in["pedID"];

	// conocer el item producto
	$q = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$itemID."'","[01a]");
	$r = myfetch($q);

	// salida -> [CODIGO]
	$articul = trim($r["td_codigo"]) ? "[".$r["td_codigo"]."] " : "";	
	$nombre_producto = grabar_titulo_prd ($articul.$r["titulo"]);
	$precio_producto = $in["precio_producto"] != "" && is_numeric($in["precio_producto"]) ? $in["precio_producto"] : 0; 
	$cantidad_producto = $in["cantidad_producto"] != "" && is_numeric($in["cantidad_producto"]) ? $in["cantidad_producto"] : 1; 

	$qs = "INSERT INTO ".TD_CARRO." (itemID,pedID,nombre_producto,precio_producto,cantidad_producto) VALUES ('".$itemID."','".$pedID."','".$nombre_producto."','".$precio_producto."','".$cantidad_producto."')";
	myquery($qs,"[01]");
	$inid = myinsertid();

	// descontar del stock
	if ($r["td_adstock"] == 1)
	{
		if (($r["td_stock"]-$cantidad_producto) < 0) { $new_td_stock = 0; } else { $new_td_stock = $r["td_stock"]-$cantidad_producto; }
		myquery("UPDATE ".ITEMS." SET td_stock=".$new_td_stock." WHERE itemID='".$r["itemID"]."' AND item_tipo=3","[adm_ig_td_carro=1]");
	}
	
	Redir ($archivo_php."?".$campoid."=".$inid."&msj=1&".$in["listado_get"]);


}

if (isset($ig[$campoid]) || isset($in[$campoid]))
{
	// asignar ID gral
	$fileID_gral = isset($ig[$campoid]) ? $ig[$campoid] : $in[$campoid];
	
	
	if (isset($in["actualizar"]))
	{

		// asignar el ID
		$inid = $fileID_gral;
	
		$itemID = $in["itemID"];
		$pedID = $in["pedID"];
	
		// conocer el item producto
		$q = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$itemID."'","[04a]");
		$r = myfetch($q);

		// salida -> [CODIGO]
		$articul = trim($r["td_codigo"]) ? "[".$r["td_codigo"]."] " : "";	
		$nombre_producto = grabar_titulo_prd ($articul.$r["titulo"]);
		$precio_producto = $in["precio_producto"] != "" && is_numeric($in["precio_producto"]) ? $in["precio_producto"] : 0; 
		$cantidad_producto = $in["cantidad_producto"] != "" && is_numeric($in["cantidad_producto"]) ? $in["cantidad_producto"] : 1; 
		
		// descontar del stock
		if ($r["td_adstock"] == 1)
		{

			// reconocer cantidad original
			$qtc = myquery("SELECT * FROM ".TD_CARRO." WHERE carroID='".$inid."'","[stc1]");
			$rowc = myfetch($qtc);
			
			// si se aumenta la cantidad original
			if ($rowc["cantidad_producto"] < $cantidad_producto)
			{
				$new_cantidad_producto = $cantidad_producto-$rowc["cantidad_producto"];
				// restar stock
				if (($r["td_stock"]-$new_cantidad_producto) < 0) { $new_td_stock = 0; } else { $new_td_stock = $r["td_stock"]-$new_cantidad_producto; }
				myquery("UPDATE ".ITEMS." SET td_stock=".$new_td_stock." WHERE itemID='".$r["itemID"]."' AND item_tipo=3","[adm_ig_td_carro=3]");
			
			// si es inferior a la cantidad original
			} else if ($rowc["cantidad_producto"] > $cantidad_producto) {

				$new_cantidad_producto = $rowc["cantidad_producto"]-$cantidad_producto;
				// aumentar stock si es necesario
				if ($r["td_stock"] < $new_cantidad_producto) { $new_td_stock = $r["td_stock"]; } else { $new_td_stock = $r["td_stock"]+$new_cantidad_producto; }
				myquery("UPDATE ".ITEMS." SET td_stock=".$new_td_stock." WHERE itemID='".$r["itemID"]."' AND item_tipo=3","[adm_ig_td_carro=4]");

			}
			
		}

		$qs = "UPDATE ".TD_CARRO." SET itemID='".$itemID."',pedID='".$pedID."',nombre_producto='".$nombre_producto."',precio_producto='".$precio_producto."',cantidad_producto='".$cantidad_producto."' WHERE carroID='".$fileID_gral."'";
		myquery($qs,"[04]");
		
		Redir ($archivo_php."?".$campoid."=".$inid."&msj=1&".$in["listado_get"]);

	}

	// extraer los datos de la base
	$qt = myquery("SELECT * FROM ".TD_CARRO." WHERE carroID='".$fileID_gral."'","[05]");
	$row = myfetch($qt);


} else {


/***** NUEVO ******/

$row = array();
$row[$campoid] = "";
$row["itemID"] = "";
$row["pedID"] = "";
$row["nombre_producto"] = "";
$row["precio_producto"] = "";
$row["cantidad_producto"] = "1";

}

?>
<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<?php echo '<meta http-equiv="content-type" content="text/html; charset='.CONFIG_2.'" />'; ?>
<title><?php echo $titulo; ?></title>
<?php include("inc.head.php"); ?>

<?php include("inc.formjs.php"); ?>

</head>
<body>

<table border="0" cellspacing="0" cellpadding="0" align="center">
<tr><td valign="top">

<?php include("inc.menu.php"); ?>

</td><td valign="top" width="100%">

<?php include("inc.copy.php"); ?>

<div class="contenido">

<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_tienda.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_326; ?></span>
</div>

<form enctype="multipart/form-data" action="<?php echo $archivo_php; ?>" onsubmit="return validar_ingreso(this);" method="post" name="principal">
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{

		if ($cadena_get)
		{
			$listado_get = substr($cadena_get,6);
			
		} else {
						
			// si se entra desde la web
			if ($cadena_get_comple == $campoid."=".$fileID_gral)
			{
				$listado_get = str_replace($campoid."=".$fileID_gral, $tabla_get, $cadena_get_comple);
						
			} else {
			
				$listado_get = str_replace($campoid."=".$fileID_gral."&","", $cadena_get_comple);
			}
			
		}
		
		echo '<div class="rotulo">'.LEN_ADMIN_365.'</div>';
		
		// nuevo registro
		echo '<a title="'.salida_popups(LEN_ADMIN_424).'"';
		echo ' href="'.$archivo_php.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_publicar.png" />';
		echo '</a>';
		
		// gestionar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$listado_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';

		// borrar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_145).'"';
		echo ' href="javascript:confirmar(\''.LEN_ADMIN_144.'\',\'listados.php?'.$tabla_get.'&res=bo&registro='.$fileID_gral.'\');"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_borrar.png" />';
		echo '</a>';
		echo '&nbsp;&nbsp;(#'.$fileID_gral.')';

		
	} else {
		echo '<div class="rotulo">'.LEN_ADMIN_424.'</div>';	

		// gestionar
		echo '<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$tabla_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';
	}

	if (isset($ig["msj"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_22.'</span>&nbsp;&nbsp;';
	
	}
?>

<br /><br />
<div class="div_destacar_grupos">
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{

		$q_tit = myquery("SELECT * FROM ".TD_PEDIDOS." WHERE pedID='".$row["pedID"]."'");
		$row_tit = myfetch($q_tit);
			
		echo '<a href="adm_'.TD_PEDIDOS.'.php?pedID='.$row["pedID"].'">'.LEN_ADMIN_367.'</a> (#'.$row_tit["pedID"].')';
		echo '<br /><br />';
	}
	

	if ($no_get && !isset($in["actualizar"]))
	{
		echo '* '.LEN_ADMIN_427;
		echo '&nbsp;<select name="pedID">';
		echo '<option value="">'.LEN_ADMIN_79.'</option>';
		
	} else if (isset($ig[$campoid]) || isset($in["actualizar"])) {
		
		echo LEN_ADMIN_428;
		echo '&nbsp;<select name="pedID">';
		
	}


	// viene de adm_ig_td_pedidos.php
	if (isset($ig["pedID"]))
	{
		$pedID_ver = $ig["pedID"];
		$q_tit = myquery("SELECT * FROM ".TD_PEDIDOS." WHERE pedID='".$pedID_ver."'");
		$row_tit = myfetch($q_tit);
	
		echo '<input type="hidden" name="pedID" value="'.$pedID_ver.'">';	
		echo '<a href="adm_'.TD_PEDIDOS.'.php?pedID='.$pedID_ver.'">'.LEN_ADMIN_367.'</a> (#'.$row_tit["pedID"].')';

	
	} else {
	
		$corte = 45;
		$qit = myquery("SELECT * FROM ".TD_PEDIDOS." ORDER BY pedID ASC");
		while ($row_qit = myfetch($qit))
		{
			if (strlen($row_qit["nombre_cliente"].' '.$row_qit["apellido_cliente"]) > $corte) { $mas="..."; } else { $mas=""; }
			echo '<option value="'.$row_qit["pedID"].'"';
			if ($row["pedID"] == $row_qit["pedID"])
			{
				echo ' selected';
			}
			echo '>';
			if ($row_qit["codigo_cliente"] == "") { $codigo_cliente = "-"; } else { $codigo_cliente = $row_qit["codigo_cliente"]; }
			echo $row_qit["pedID"].' ['.$codigo_cliente.'] '.substr($row_qit["nombre_cliente"].' '.$row_qit["apellido_cliente"],0,$corte).$mas.'</option>';
		}
		
	}

		echo '</select>';

?>
</div>

<br /><br />
<div class="div_destacar_grupos">
<?php

	if (($no_get && !isset($in["actualizar"])) || isset($ig["pedID"]))
	{
		echo '* '.LEN_ADMIN_390;
		echo '&nbsp;<select name="itemID">';
		echo '<option value="">'.LEN_ADMIN_79.'</option>';
		
		$corte = 45;
		$qit = myquery("SELECT * FROM ".ITEMS." WHERE item_tipo=3 ORDER BY itemID ASC");
		while ($row_qit = myfetch($qit))
		{
			if (strlen($row_qit["titulo"]) > $corte) { $mas="..."; } else { $mas=""; }
			echo '<option value="'.$row_qit["itemID"].'"';
			if ($row["itemID"] == $row_qit["itemID"])
			{
				echo ' selected';
			}
			echo '>';

			// precio -> incluye gastos
			$precio_producto = ($row_qit["td_descuento"] > 0) && ($row_qit["td_descuento"] < $row_qit["td_precio"]) ? mostrar_pvp(($row_qit["td_descuento"]+$row_qit["td_gastos"])) : mostrar_pvp(($row_qit["td_precio"]+$row_qit["td_gastos"]));
			
			echo $row_qit["itemID"].' - '.substr($row_qit["titulo"],0,$corte).$mas.' ('.$precio_producto.') ('.$row_qit["td_stock"].')</option>';
		
		}

		echo '</select>';


	} else if (isset($ig[$campoid]) || isset($in["actualizar"])) {
		
		$corte = 45;
		$qit = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$row["itemID"]."' AND item_tipo=3");
		$row_qit = myfetch($qit);
		if (strlen($row_qit["titulo"]) > $corte) { $mas="..."; } else { $mas=""; }
		
		// precio -> incluye gastos
		$precio_producto = ($row_qit["td_descuento"] > 0) && ($row_qit["td_descuento"] < $row_qit["td_precio"]) ? mostrar_pvp(($row_qit["td_descuento"]+$row_qit["td_gastos"])) : mostrar_pvp(($row_qit["td_precio"]+$row_qit["td_gastos"]));
		
		echo LEN_ADMIN_389.'&nbsp;&nbsp;';
		echo '<a href="adm_'.ITEMS.'.php?itemID='.$row["itemID"].'">'.substr($row_qit["titulo"],0,$corte).$mas.'</a> (#'.$row_qit["itemID"].')';
		echo '<br /><br />';
		echo LEN_ADMIN_432.'&nbsp;&nbsp;<span class="selec_elemento">'.$precio_producto.'</span>';
		echo '<br /><br />';
		echo LEN_ADMIN_436.'&nbsp;&nbsp;<span class="selec_elemento">'.$row_qit["td_stock"].'</span>';
		echo '<br /><br />';
		if ($row_qit["td_adstock"] == 1) { $control_stock = LEN_ADMIN_59; } else { $control_stock = LEN_ADMIN_60; }
		echo LEN_ADMIN_437.'&nbsp;&nbsp;<strong>'.$control_stock.'</strong>';
		echo '<input type="hidden" name="itemID" value="'.$row["itemID"].'">';		
	
	}
	

?>
</div>

<br /><br />
<div class="div_destacar_grupos">
* <?php  echo LEN_ADMIN_432; ?> 
&nbsp;<input name="precio_producto" maxlength="20" value="<?php echo $row['precio_producto']; ?>" type="text" class="input_text tmax">

<br /><br />
* <?php  echo LEN_ADMIN_425; ?> 
&nbsp;<input name="cantidad_producto" maxlength="20" value="<?php echo $row['cantidad_producto']; ?>" type="text" class="input_text tmini">
</div>

<div style="text-align:center;margin:20px 0px 20px 0px;">
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
<input type="submit" value="<?php echo LEN_ADMIN_17;?>" class="boton">
<input type="hidden" name="<?php echo $campoid; ?>" value="<?php echo $fileID_gral; ?>">
<input type="hidden" name="actualizar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $listado_get; ?>">
<?php
	} else {
?>
<input type="submit" value="<?php echo LEN_ADMIN_16;?>" class="boton">
<input type="hidden" name="guardar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $tabla_get; ?>">
&nbsp;&nbsp;&nbsp;<input type="reset" value="<?php echo LEN_ADMIN_18;?>" class="boton">
<?php
	}
?>
</div>

</form>
</div>

</td></tr></table>

</body>
</html>
<?php
	include("inc.fin.php");
?>